# $Revision: 1.19 $, $Date: 2002/08/01 13:16:22 $
%define _refman_version 4.0
Summary:	A simple lightweight powerful embeddable programming language
Summary(pl):	Prosty, lekki ale potny, osadzalny jzyk programowania
Name:		lua
Version:	4.0.1
Release:	1
License:	BSD-like (see docs)
Group:		Development/Languages
Source0:	http://www.lua.org/ftp/%{name}-%{version}.tar.gz
Source1:	http://www.lua.org/ftp/refman-%{_refman_version}.ps.gz
Source2:	http://www.xtgsystems.com/lua/%{name}loadlib_20010802.src.zip
Patch0:		%{name}-loadlib-require.patch
Patch1:		%{name}-OPT.patch
URL:		http://www.lua.org/
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lua is a powerful, light-weight programming language designed for
extending applications. It is also frequently used as a
general-purpose, stand-alone language. It combines simple procedural
syntax (similar to Pascal) with powerful data description constructs
based on associative arrays and extensible semantics. Lua is
dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.

This version has compiled in support for dynamic libraries in baselib.

%description -l pl
Lua to jzyk programowania o duych moliwociach ale lekki,
przeznaczony do rozszerzania aplikacji. Jest te czsto uywany jako
samodzielny jzyk oglnego przeznaczenia. czy prost proceduraln
skadni (podobn do Pascala) z potnymi konstrukcjami opisu danych
bazujcymi na tablicach asocjacyjnych i rozszerzalnej skadni. Lua ma
dynamiczny system typw, interpretowany z bytecodu i automatyczne
zarzdzanie pamici z odmiecaczem, co czyni go idealnym do
konfiguracji, skryptw i szybkich prototypw.

Ta wersja ma wkompilowan obsug adowania dynamicznych bibliotek.

%package devel
Summary:	Header files for Lua
Summary(pl):	Pliki nagwkowe dla Lua
Group:		Development/Languages
Requires:	%{name} = %{version}

%description devel
Header files needed to embed Lua in C/C++ programs and docs for the
language.

%description devel -l pl
Pliki nagwkowe potrzebne do wczenia Lua do programw w C/C++ oraz
dokumentacja samego jzyka.

%package static
Summary:	Static Lua libraries Lua
Summary(pl):	Biblioteki statyczne Lua
Group:		Development/Languages
Requires:	%{name}-devel = %{version}

%description static
Static Lua libraries.

%description static -l pl
Biblioteki statyczne Lua.

%prep
%setup -q 
cp -f %{SOURCE1} refman.ps.gz
unzip -q -n %{SOURCE2}
mv -f src/loadlib.* src/lib

%patch0 -p1
%patch1 -p1

%build
%{__make} OPT="%{rpmcflags}" \
          EXTRA_DEFS="-fPIC -DPIC -D_GNU_SOURCE" \
	  all so sobin
rm -f test/{lua,luac}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/lua,%{_datadir}/lua}

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix} \
	INSTALL_BIN=$RPM_BUILD_ROOT%{_bindir} \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}/man1

rm -f doc/*.1
mv -f Readme README.loadlib

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%dir %{_libdir}/lua
%dir %{_datadir}/lua
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc COPYRIGHT HISTORY refman.ps.gz doc test
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl
$Log: lua.spec,v $
Revision 1.19  2002/08/01 13:16:22  grzegol
- updated to 4.0.1
- changed Sources to http (ftp seems not work)
STBR

Revision 1.18  2002/07/04 13:29:58  grzegol
- added lua-updates (fixes from main site)
- new %%doc
- rel. 10
STBR

Revision 1.17  2002/03/27 11:44:06  roman
- License: BSD-like (see docs)

Revision 1.16  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/12 23:39:52  qboosh
- adapterized, pl translation for base package, release 9

Revision 1.14  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 12:20:13  saq
- buildreq unzip
- cosmetics
- release 8, STBR

Revision 1.12  2001/11/15 05:24:54  kloczek
- added OPT patch (now passing $RPM_OPT_FLAGS to compile options work correctly),
- spec adapterized,
- some simplifications and cosmetics.

Revision 1.11  2001/11/15 04:27:42  rrw
- (no changes really);
- release 7;

Revision 1.10  2001/11/15 04:26:22  rrw
- finished support for LUA_PATH in loadlib() and backported require() (also
  using LUA_PATH);

Revision 1.9  2001/11/14 13:25:54  rrw
- moved most of documentation to devel package

Revision 1.8  2001/10/05 23:48:40  rrw
- added ability to dofile() scripts from systemwide directory
  (/usr/share/lua by default);
- release 6;

Revision 1.7  2001/10/05 21:54:17  grzegorz
- cosmetics

Revision 1.6  2001/10/05 21:47:30  grzegorz
- don't gzip manuals, rpm do it automaticaly
- gzip doc's

Revision 1.5  2001/10/05 20:56:20  rrw
- added dynamic library support;
- corrected permissions for binaries;
- added missing directory permissions in %%defattr;
- release 5;

Revision 1.4  2001/10/05 19:09:40  rrw
- split into main package, devel and static;
- created libdir/lua and datadir/lua;
- release 4;

Revision 1.3  2001/10/05 17:49:30  rrw
- spec adapterized

Revision 1.2  2001/10/05 17:02:32  rrw
- PLD-ised spec a bit;
- added lualoadlib source (to be used later);
- updated source URL;
- added explicit %%attr in %%files;
- release 3;

* Wed Jan 3 2001 Reuben Thomas <rrt@sc3d.org>
- merged with original spec file, and bumped RPM release number
* Tue Jan 2 2001 Marc Lavalle <odradek@videotron.ca>
- modified the spec file (patch file no longer required)
* Mon Nov 07 2000 Reuben Thomas <rrt@sc3d.org>
- Updated for 4.0 release. Less fiddling needed as Makefile has been
  improved; also included PostScript reference manual, and made libraries
  using -fPIC. Added test programs to doc directory.
* Fri Oct 06 2000 Reuben Thomas <rrt@sc3d.org>
- First version of spec file.
